Inferences
Inferences
GET /api/v1/inferences
Get Inferences
Response
Type: []Inference
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
prediction | string | |
confidence | float32 | |
model_id | string | |
model_version_id | string | |
extension | string | |
user_id | string | |
error_reported | bool | |
error | string | |
application_id | string | |
inference_host | string | |
inference_time | string | |
end_to_end_time | string | |
dataset_item_id | string | |
result | string | |
inference_items | []InferenceItem | |
hidden | bool | |
privacy_enabled | bool | |
config | string | |
model_config | string | |
input | string | Raw input from previous node (not stored in DB) (optional) |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/inferencesGET /api/v1/inferences/{id}/download
Get Inference Image
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/inferences/{id}/downloadPOST /api/v1/inferences/{id}/upload
Create Inference Image
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
Response
Type: Inference
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
prediction | string | |
confidence | float32 | |
model_id | string | |
model_version_id | string | |
extension | string | |
user_id | string | |
error_reported | bool | |
error | string | |
application_id | string | |
inference_host | string | |
inference_time | string | |
end_to_end_time | string | |
dataset_item_id | string | |
result | string | |
inference_items | []InferenceItem | |
hidden | bool | |
privacy_enabled | bool | |
config | string | |
model_config | string | |
input | string | Raw input from previous node (not stored in DB) (optional) |
Example
curl -X POST \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
https://api.seeme.ai/api/v1/inferences/{id}/uploadPUT /api/v1/inferences/{inference_id}
Update Inference
Parameters
| Name | In | Type | Required |
|---|---|---|---|
inference_id | path | string | true |
Request Body
Type: Inference
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
prediction | string | |
confidence | float32 | |
model_id | string | |
model_version_id | string | |
extension | string | |
user_id | string | |
error_reported | bool | |
error | string | |
application_id | string | |
inference_host | string | |
inference_time | string | |
end_to_end_time | string | |
dataset_item_id | string | |
result | string | |
inference_items | []InferenceItem | |
hidden | bool | |
privacy_enabled | bool | |
config | string | |
model_config | string | |
input | string | Raw input from previous node (not stored in DB) (optional) |
Response
Type: Inference
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
prediction | string | |
confidence | float32 | |
model_id | string | |
model_version_id | string | |
extension | string | |
user_id | string | |
error_reported | bool | |
error | string | |
application_id | string | |
inference_host | string | |
inference_time | string | |
end_to_end_time | string | |
dataset_item_id | string | |
result | string | |
inference_items | []InferenceItem | |
hidden | bool | |
privacy_enabled | bool | |
config | string | |
model_config | string | |
input | string | Raw input from previous node (not stored in DB) (optional) |
Example
curl -X PUT \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}' \
https://api.seeme.ai/api/v1/inferences/{inference_id}POST /api/v1/inferences/{model_id}
Create Inference
Parameters
| Name | In | Type | Required |
|---|---|---|---|
model_id | path | string | true |
Request Body
Type: NlpClassificationInput
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
input_text | string |
Example
curl -X POST \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}' \
https://api.seeme.ai/api/v1/inferences/{model_id}POST /api/v1/inferences/{model_id}/add
Create Inference
Parameters
| Name | In | Type | Required |
|---|---|---|---|
model_id | path | string | true |
Request Body
Type: Inference
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
prediction | string | |
confidence | float32 | |
model_id | string | |
model_version_id | string | |
extension | string | |
user_id | string | |
error_reported | bool | |
error | string | |
application_id | string | |
inference_host | string | |
inference_time | string | |
end_to_end_time | string | |
dataset_item_id | string | |
result | string | |
inference_items | []InferenceItem | |
hidden | bool | |
privacy_enabled | bool | |
config | string | |
model_config | string | |
input | string | Raw input from previous node (not stored in DB) (optional) |
Response
Type: Inference
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
prediction | string | |
confidence | float32 | |
model_id | string | |
model_version_id | string | |
extension | string | |
user_id | string | |
error_reported | bool | |
error | string | |
application_id | string | |
inference_host | string | |
inference_time | string | |
end_to_end_time | string | |
dataset_item_id | string | |
result | string | |
inference_items | []InferenceItem | |
hidden | bool | |
privacy_enabled | bool | |
config | string | |
model_config | string | |
input | string | Raw input from previous node (not stored in DB) (optional) |
Example
curl -X POST \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}' \
https://api.seeme.ai/api/v1/inferences/{model_id}/addPOST /api/v1/inferences/{model_id}/versions/{model_version_id}
Create Inference
Parameters
| Name | In | Type | Required |
|---|---|---|---|
model_id | path | string | true |
model_version_id | path | string | true |
Request Body
Type: NlpClassificationInput
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
input_text | string |
Example
curl -X POST \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}' \
https://api.seeme.ai/api/v1/inferences/{model_id}/versions/{model_version_id}